## ros-indigo-cob-android-settings 0.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_android_settings)

find_package(catkin REQUIRED COMPONENTS)

catkin_package()

install(DIRECTORY config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-cob-android-settings (0.1.4-0trusty) trusty; urgency=high

  * Merge pull request #33 <https://github.com/ipa320/cob_android/issues/33> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #31 <https://github.com/ipa320/cob_android/issues/31> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-uhr-mk

 -- Benjamin Maidel <bnm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-android-settings (0.1.3-0trusty) trusty; urgency=high

  * refactor config structure
  * Contributors: ipa-fxm

 -- Benjamin Maidel <bnm@ipa.fhg.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-indigo-cob-android-settings (0.1.2-0trusty) trusty; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-android-settings (0.1.1-0trusty) trusty; urgency=high

  * migrated to package xml 2
  * cleaned up cob_android settings
  * catkinized and fixed
  * parameters to set text on gui
  * fixed resource_server and modified topic name and categories
  * added order categories
  * introduced yaml file to configure guis functionality
  * changed service names back to raw script names
  * changed topic names
  * added service names to yaml parameters
  * modified topic_names
  * update deps and license
  * inital commit
  * Contributors: Benjamin Maidel

 -- Benjamin Maidel <bnm@ipa.fhg.de>  Fri, 28 Aug 2015 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-cob-android-settings
Section: misc
Priority: extra
Maintainer: Benjamin Maidel <bnm@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/cob_android_settings
Standards-Version: 3.9.2

Package: ros-indigo-cob-android-settings
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: cob_android_settings

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-android-settings//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
